% Demonstration for the use of the functions.

% Function quaderror_multi

n=50;
si = randn(5,10);
sigma = si*si';
info_sigma = 'nothing';
seed = 0;
method = 'half';

% Generation of the p=5 functions and the kernel matrix

p = 5;
d = 4;
m = 4;
alpha = ones(4,5);
z_1 = randn(4,4);
z = kron(ones(5,1),z_1);

[f_of_X,K] = data_generator_multi(n,p,d,alpha,z,m,seed);

[multi,ind,mu_1,mu_2] = quaderror_multi(n,f_of_X,K,sigma,info_sigma,seed,method);

% Functions quaderror_clustering and quaderror_segmentation

n=50;
si2 = randn(10,20);
sigma2 = si2*si2';
info_sigma = 'nothing';
seed = 0;
method = 'half';

% Generation of the p=10 functions and the kernel matrix

p2 = 10;
d = 4;
m = 4;
I = ((1:10) <= 5)';
I = I*1;

link = 'opposite';

[f_of_X2,K2] = data_generator_clustering(n,p2,d,m,I,seed,link);

[multi2,ind2,J2] = quaderror_clustering(n,f_of_X2,K2,sigma2,info_sigma,seed,method);
[multi3,ind3,J3] = quaderror_segmentation(n,f_of_X2,K2,sigma2,info_sigma,seed,method);